#
# spec file for package libycp (Version 2.4.47)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gperf gpp libgpp libtool tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gperf gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         libycp
Copyright:    (c) 2000 SuSE GmbH
Group:	      System Environment/YaST
Summary:      YaST2 - interpreter runtime library
Version:      2.4.47
Release:      13
Source:       libycp-2.4.47.tar.bz2

%description
This package contains the scanner/parser and interpreter runtime
library for the YCP scripting language used in YaST2.

SuSE series: yast

%package devel
Version:      2.4.47
Release:      13
Summary:      YaST2 - Include files and documentation for YCP interpreter
Group:		Development/Libraries
Provides:	libycp:/usr/lib/YaST2/include/YCP.h

%description devel
This package contains include and documentation files for developing
applications using the YCP interpreter of YaST2.

SuSE series: yast

%prep
%setup -n libycp-2.4.47

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/libycp.so.2.0.0

%files
/usr/lib/libycp.so.*

%files devel
/usr/bin/parseycp
/usr/bin/runycp
/usr/lib/libycp.so
/usr/lib/libycp.la
%dir /usr/include/YaST2
/usr/include/YaST2/YCP.h
%dir /usr/include/YaST2/ycp
/usr/include/YaST2/ycp/*.h
%dir /usr/share/doc/packages/libycp
/usr/share/doc/packages/libycp/*

%changelog -n libycp
* Thu Sep 13 2001 - kkaempf@suse.de
- check for valid sub-expressions in filter, find, sort, etc. (#10529)
* Wed Sep 12 2001 - arvin@suse.de
- fixed tiny memory leak
* Tue Sep 11 2001 - kkaempf@suse.de
- check for undefined string operation.
* Wed Sep 05 2001 - kkaempf@suse.de
- is (<undeclared variable>, <type>) is always false.
* Wed Sep 05 2001 - kkaempf@suse.de
- triple ((e1)?(e2):(e3)) operator now behaves like "if".
  (e2 will only be evaluated if e1 is true, e3 will only be
  evaluated if e1 is false). (#9684)
* Tue Sep 04 2001 - kkaempf@suse.de
- accept <UI,WFM,SCR>::``{...} (needed for callbacks).
* Mon Sep 03 2001 - kkaempf@suse.de
- recognize "_callback()" internally.
* Thu Aug 30 2001 - kkaempf@suse.de
- recognize textdomain/localdomain as builtins.
* Wed Aug 29 2001 - kkaempf@suse.de
- correct {WFM,UI,SCR}::module::symbol parsing.
* Tue Aug 28 2001 - msvec@suse.cz
- rewritten parseycp (testing)
* Mon Aug 27 2001 - kkaempf@suse.de
- properly report nested modules.
* Mon Aug 27 2001 - kkaempf@suse.de
- clean up logging, add finer time granularity for testing.
* Mon Aug 27 2001 - kkaempf@suse.de
- allow quoted symbols in identifiers, needed for "module::symbol" as lvalue
* Thu Aug 23 2001 - kkaempf@suse.de
- allow assignment to imported modules
* Tue Aug 21 2001 - msvec@suse.cz
- removed obsolete fileexist builtin
* Mon Aug 20 2001 - kkaempf@suse.de
- drop deprecated "YCPDeclAndOr".
* Thu Aug 16 2001 - kkaempf@suse.de
- properly support identifiers and module access across servers.
* Thu Aug 16 2001 - arvin@suse.de
- support for plural locales
* Wed Aug 15 2001 - kkaempf@suse.de
- fully implement "module" keyword and functionality.
* Fri Aug 10 2001 - kkaempf@suse.de
- parseycp now accepts multiple arguments
* Thu Aug 09 2001 - arvin@suse.de
- added error message about division by zero
* Wed Aug 08 2001 - kkaempf@suse.de
- dont complain about "Undefined function" if the function
  is defined but fails.
* Tue Aug 07 2001 - kkaempf@suse.de
- warn if global symbol shadows local one (#9629)
* Sat Jul 28 2001 - kkaempf@suse.de
- drop const qualifier from evaluateLocale
* Fri Jul 27 2001 - kkaempf@suse.de
- only warn for shadowed global definitions
* Fri Jul 27 2001 - kkaempf@suse.de
- check condition of triple evaluation (cond?expr1:expr2) for boolean
* Thu Jul 26 2001 - kkaempf@suse.de
- evaluate all arguments of a term, reporting errors
  never return YCPError from evaluate()
* Thu Jul 26 2001 - kkaempf@suse.de
- check add() arguments
  remove re-evaluation of declarations
* Thu Jul 26 2001 - pblahos@suse.cz
- Builtin add(path,string) fixed: it modified variable contents.
* Thu Jul 26 2001 - kkaempf@suse.de
- fix global handling for variables
  drop single quote force
* Thu Jul 26 2001 - pblahos@suse.cz
- Fixed: builds on axp.
* Thu Jul 26 2001 - kkaempf@suse.de
- force single quote after WFM::, SCR::, and UI::
* Thu Jul 26 2001 - pblahos@suse.cz
- Type path enhanced. Path element now may contain any character.
* Wed Jul 25 2001 - kkaempf@suse.de
- move 'knowledge' about WFM/UI/SCR to interpreter
  map callback functions to appropriate evaluateXX functions
* Tue Jul 24 2001 - arvin@suse.de
- implement builtin time
* Mon Jul 23 2001 - kkaempf@suse.de
- properly find and warn about multiple or shadowing definitions
* Wed Jul 18 2001 - kkaempf@suse.de
- move information about file/line to YCPScope base class
* Tue Jul 17 2001 - kkaempf@suse.de
- implement "WFM::", "SCR::", and "UI::" for cross-module identifier access
* Thu Jul 05 2001 - kkaempf@suse.de
- include name of interpreter in error message about undefined symbol
* Fri Jun 22 2001 - kkaempf@suse.de
- fix bug in global scope handling: always ensure existance of global scope
* Fri Jun 22 2001 - arvin@suse.de
- fixed to compile with gcc 3.0 on i386
* Wed Jun 20 2001 - kkaempf@suse.de
- dont split y2error() macro calls across multiple lines (break gcc 3.0)
- adapt testcases accordingly
* Tue Jun 19 2001 - kkaempf@suse.de
- adapt %%build for new automake/autoconf
* Tue Jun 19 2001 - kkaempf@suse.de
- correct scope handling, UI and WFM have separate scopes now
* Fri Jun 08 2001 - kkaempf@suse.de
- remove deprecated "default value" mechanism for symbols assigned nil.
* Wed Jun 06 2001 - mike@suse.de
- added regular expressions
* Mon May 28 2001 - fehr@suse.de
- fix documentation for "deletechars"
* Mon May 21 2001 - kkaempf@suse.de
- use "-O0" on s390 for now
* Thu May 17 2001 - kkaempf@suse.de
- clean up propagation handling, merge it all to a single function.
* Tue May 08 2001 - kkaempf@suse.de
- introduce "localdomain" builtin to keep global textdomain
  information in 'define'd blocks. (#7700)
* Thu Apr 26 2001 - kkaempf@suse.de
- fix propagation handling, reject float->int
- allow string->locale propagation
* Tue Apr 24 2001 - kkaempf@suse.de
- handle "if (x);" (emtpy statement after if) gracefully
* Tue Apr 24 2001 - kkaempf@suse.de
- force "signed-char" on S/390
* Fri Apr 20 2001 - fehr@suse.de
- add "deletechars (string,string)" with inverse functionality
  to filterchars
* Thu Apr 19 2001 - kkaempf@suse.de
- allow integer->float type propagation
  provide proper split-alias for libycp-devel
* Thu Apr 19 2001 - kkaempf@suse.de
- drop isnil, implement "!= nil" via builtin
* Wed Apr 11 2001 - kkaempf@suse.de
- find (string,string) returns -1 if no match is found
* Tue Apr 10 2001 - kkaempf@suse.de
- fixed syntax for "change()"
- random, srandom builtins added (msvec@suse.cz)
* Mon Apr 09 2001 - kkaempf@suse.de
- make "add", "union", and "merge" builtins
- various coding style cleanups
- add "find (string, string)" functionality
* Mon Apr 09 2001 - pblahos@suse.cz
- Fixed bad line numbers in log after multiline string.
- Fixed bad file name in log in entries made by included defines.
* Mon Apr 02 2001 - kkaempf@suse.de
- make "union" builtin
  prepare "mergelist", "mergemap" functions
* Tue Mar 27 2001 - kkaempf@suse.de
- implemented comment scanning better (#1544)
* Tue Mar 27 2001 - kkaempf@suse.de
- map symbol comparison with nil to "isnil"
* Mon Mar 26 2001 - kkaempf@suse.de
- allow "any x = nil" as declaration
* Mon Mar 26 2001 - kkaempf@suse.de
- allow "nil" as initial value in declaration
* Wed Mar 21 2001 - kkaempf@suse.de
- new buildin "isnil" to check for nil value
* Tue Mar 20 2001 - kkaempf@suse.de
- activate modifier "global" for "define"
* Fri Mar 16 2001 - arvin@suse.de
- avoid getting stuck in breakpoints during debugging
- implemented settings to control behavior of debugger
* Wed Mar 14 2001 - arvin@suse.de
- don't debug calls to "_fullname"
* Mon Mar 12 2001 - arvin@suse.de
- use corrent filename for debugger command "list source"
- handle command _fullname
* Mon Mar 12 2001 - arvin@suse.de
- fixed testsuite
* Fri Mar 09 2001 - kkaempf@suse.de
- silently set "global" for now
* Thu Mar 08 2001 - arvin@suse.de
- Strip debugging information from libraries in package.
* Wed Mar 07 2001 - kkaempf@suse.de
- restrict path in logging to parent dir
  remove filename completion (now in liby2)
* Tue Mar 06 2001 - kkaempf@suse.de
- build complete path to .ycp file in scanner, debugger needs it
  restrict path in error output to single directory
* Tue Mar 06 2001 - kkaempf@suse.de
- install libs to /usr/lib
* Fri Mar 02 2001 - kkaempf@suse.de
- new type qualifier "const"
- allow "nil" as value for any type
  define default value for any type
  deprecate type expressions (e.g. string|any)
- prepare for name spaces
- enable "global" qualifier for "define"
* Tue Jan 23 2001 - kkaempf@suse.de
- Version 2.3.0: package split libycp / libycp-devel
- install C++ includes in /usr/include/YaST2
* Sat Jan 06 2001 - kkaempf@suse.de
- report wrong indices in remove/select as error (was warning)
* Fri Dec 01 2000 - kkaempf@suse.de
- correct error reporting for builtin string functions
* Fri Dec 01 2000 - kkaempf@suse.de
- better run time type checking for builtin operations
* Thu Nov 30 2000 - kkaempf@suse.de
- New stamement "undefine" to remove a definition from the scope
  (temporary workaround to missing 'real' global/local scope handling)
* Tue Nov 28 2000 - arvin@suse.de
- New builtin remove for YCPList
* Fri Nov 24 2000 - kkaempf@suse.de
- fix module call
- fix testsuite
* Fri Nov 24 2000 - kkaempf@suse.de
- save/restore textdomain around includes
* Thu Nov 23 2000 - kkaempf@suse.de
- fix textdomain call
* Wed Nov 22 2000 - kkaempf@suse.de
- support builtin statements
* Wed Nov 22 2000 - kkaempf@suse.de
- sort() does it ascending again
* Thu Nov 16 2000 - kkaempf@suse.de
- re-enable shared libs for dynamic plugins
* Wed Nov 15 2000 - kkaempf@suse.de
- better logging inside ycp scripts
* Thu Nov 09 2000 - kkaempf@suse.de
- use ycp based logging for y2log() builtin
* Wed Nov 08 2000 - kkaempf@suse.de
- update logging macros
* Wed Nov 08 2000 - kkaempf@suse.de
- replace c++ keywords for ia64 compiler
* Wed Nov 08 2000 - kkaempf@suse.de
- new internal logging
* Tue Nov 07 2000 - kkaempf@suse.de
- generate static and dynamic libs
* Tue Oct 31 2000 - kkaempf@suse.de
- better error reporting
  use textdomain based translations (vs. file based)
* Thu Oct 26 2000 - kkaempf@suse.de
- fix y2log macro
* Thu Oct 26 2000 - kkaempf@suse.de
- Group set
* Wed Oct 25 2000 - kkaempf@suse.de
- implement builtin as internal datatype
* Thu Oct 19 2000 - kkaempf@suse.de
- re-implementation of symbol scope handling
  versio 2.2.0
* Tue Oct 17 2000 - kkaempf@suse.de
- handle scope outside of basic interpreter
  version 2.1.2
* Tue Aug 29 2000 - kkaempf@suse.de
- better error reporting during runtime
  version 2.1.1
* Fri Aug 04 2000 - kkaempf@suse.de
- new 2.1 development
  better file modularization
  allow dash in paths
  disallow any values as keys in maps, except integer and string
* Mon Jul 10 2000 - kkaempf@suse.de
- corrected documentation
  version 2.0.8
* Fri Jul 07 2000 - kkaempf@suse.de
- mergestring added
  version 2.0.7
* Fri Jul 07 2000 - kkaempf@suse.de
- splitstring added
  version 2.0.6
* Wed Jun 14 2000 - kkaempf@suse.de
- dont reset yylineno on buffered read
  version 2.0.5
* Wed Jun 07 2000 - kkaempf@suse.de
- removed last token report, too verbose
* Wed Jun 07 2000 - schwab@suse.de
- Add %%{suse_update_config}.
* Wed Jun 07 2000 - kkaempf@suse.de
- report last token on parser error
  version 2.0.4
* Tue Jun 06 2000 - kkaempf@suse.de
- new builtin "findfirstof"
* Mon May 22 2000 - kkaempf@suse.de
- new builtin "issubstring" (from -ppc)
* Thu May 18 2000 - kkaempf@suse.de
- join developers package to libycp
  bump version to 2.0.2
* Tue May 16 2000 - kkaempf@suse.de
- bugfix for subclassed interpreter (ag_anyagent)
* Fri May 12 2000 - kkaempf@suse.de
- patches for new libtool
  allow declaration of qouted symbols
* Fri May 12 2000 - kkaempf@suse.de
- patches for IA64
* Thu May 11 2000 - kkaempf@suse.de
- add doc files
  update to new automake for IA64
* Thu May 11 2000 - kkaempf@suse.de
- re-allow double qouted terms
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
